petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecLockPush

Lock a vector from writing

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockPush(Vec x)

Logically Collective on Vec

### Input Parameter

x -the vector

Notes: If this is set then calls to VecGetArray() or VecSetValues() or any other routines that change the vectors values will fail.

Call VecLockPop() to remove the latest lock

### See Also

VecRestoreArray(), VecGetArrayRead(), VecLockPop(), VecLockGet()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages